Bulletin d'alerte Debian

DSA-552-1 imlib2 -- Entrée non vérifiée

Date du rapport :
22 septembre 2004
Paquets concernés :
imlib2
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le système de suivi des bogues Debian : Bogue 271375.
Dans le dictionnaire CVE du Mitre : CVE-2004-0802.
Plus de précisions :

Marcus Meissner a découvert un dépassement sur le tas dans imlib2, une bibliothèque graphique pour X et X11 qui a succédé à imlib, qui pourrait être utilisé par un attaquant dans le but d'exécuter n'importe quel code sur la machine victime.

Pour l'actuelle distribution stable (Woody), ce problème a été corrigé dans la version 1.0.5-2woody1.

Pour la distribution instable (Sid), ce problème a été corrigé dans la version 1.1.0-12.4.

Nous vous recommandons de mettre à jour votre paquet imlib2.

Corrigé dans :

Debian GNU/Linux 3.0 (woody)

Source :
http://security.debian.org/pool/updates/main/i/imlib2/imlib2_1.0.5-2woody1.dsc
http://security.debian.org/pool/updates/main/i/imlib2/imlib2_1.0.5-2woody1.diff.gz
http://security.debian.org/pool/updates/main/i/imlib2/imlib2_1.0.5.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2_1.0.5-2woody1_alpha.deb
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2-dev_1.0.5-2woody1_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2_1.0.5-2woody1_arm.deb
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2-dev_1.0.5-2woody1_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2_1.0.5-2woody1_i386.deb
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2-dev_1.0.5-2woody1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2_1.0.5-2woody1_ia64.deb
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2-dev_1.0.5-2woody1_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2_1.0.5-2woody1_hppa.deb
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2-dev_1.0.5-2woody1_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2_1.0.5-2woody1_m68k.deb
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2-dev_1.0.5-2woody1_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2_1.0.5-2woody1_mips.deb
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2-dev_1.0.5-2woody1_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2_1.0.5-2woody1_mipsel.deb
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2-dev_1.0.5-2woody1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2_1.0.5-2woody1_powerpc.deb
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2-dev_1.0.5-2woody1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2_1.0.5-2woody1_s390.deb
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2-dev_1.0.5-2woody1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2_1.0.5-2woody1_sparc.deb
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2-dev_1.0.5-2woody1_sparc.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.